6.0.0-git
2019-03-20

[#11471] NO reponse not correctly parsed.
Summary NO reponse not correctly parsed.
Queue Horde Framework Packages
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester jan (at) horde (dot) org
Created 2012-10-08 (2354 days ago)
Due
Updated 2012-10-15 (2347 days ago)
Assigned
Resolved 2012-10-08 (2354 days ago)
Milestone
Patch No

History
2012-10-15 20:43:41 Git Commit Comment #7 Reply to this comment
Changes have been made in Git (develop):

commit 7be38af2d4c2fe6fcf087bfd786bd1e2d1fd36be
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Oct 8 12:15:00 2012 -0600

     Bug #11471: Correctly grab the command that caused the tagged 
NO/BAD response

  .../lib/Horde/Imap/Client/Interaction/Client.php   |   12 ++++++++++++
  .../Imap_Client/lib/Horde/Imap/Client/Socket.php   |   15 +++++----------
  2 files changed, 17 insertions(+), 10 deletions(-)

http://git.horde.org/horde-git/-/commit/7be38af2d4c2fe6fcf087bfd786bd1e2d1fd36be
2012-10-15 20:43:37 Git Commit Comment #6 Reply to this comment
Changes have been made in Git (develop):

commit 69ba0b26d2a06cc87e79dd9afdb43e7761a8ef3d
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Oct 8 12:06:03 2012 -0600

     Revert "BAD and NO responses don't contain the original command 
(Bug #11471)."

     This reverts commit c59bf1806b170540953fb3b45d565f93574240df.

  .../Imap_Client/lib/Horde/Imap/Client/Socket.php   |   16 ++++++++++++++--
  1 files changed, 14 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/69ba0b26d2a06cc87e79dd9afdb43e7761a8ef3d
2012-10-15 20:43:05 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (develop):

commit c59bf1806b170540953fb3b45d565f93574240df
Author: Jan Schneider <jan@horde.org>
Date:   Mon Oct 8 13:30:24 2012 +0200

     BAD and NO responses don't contain the original command (Bug #11471).

     As per RFC 3501 7.1.2 and 7.1.3 (and Cyrus' actual behaviour), 
tagged responses
     only indicate that the error response links to a command. This command is
     identified by the tag, not by the response message.

  .../Imap_Client/lib/Horde/Imap/Client/Socket.php   |   16 ++--------------
  1 files changed, 2 insertions(+), 14 deletions(-)

http://git.horde.org/horde-git/-/commit/c59bf1806b170540953fb3b45d565f93574240df
2012-10-08 18:20:00 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (master):

commit 7be38af2d4c2fe6fcf087bfd786bd1e2d1fd36be
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Oct 8 12:15:00 2012 -0600

     Bug #11471: Correctly grab the command that caused the tagged 
NO/BAD response

  .../lib/Horde/Imap/Client/Interaction/Client.php   |   12 ++++++++++++
  .../Imap_Client/lib/Horde/Imap/Client/Socket.php   |   15 +++++----------
  2 files changed, 17 insertions(+), 10 deletions(-)

http://git.horde.org/horde-git/-/commit/7be38af2d4c2fe6fcf087bfd786bd1e2d1fd36be
2012-10-08 18:19:56 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (master):

commit 69ba0b26d2a06cc87e79dd9afdb43e7761a8ef3d
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Oct 8 12:06:03 2012 -0600

     Revert "BAD and NO responses don't contain the original command 
(Bug #11471)."

     This reverts commit c59bf1806b170540953fb3b45d565f93574240df.

  .../Imap_Client/lib/Horde/Imap/Client/Socket.php   |   16 ++++++++++++++--
  1 files changed, 14 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/69ba0b26d2a06cc87e79dd9afdb43e7761a8ef3d
2012-10-08 11:54:29 Jan Schneider Assigned to Jan Schneider
State ⇒ Resolved
 
2012-10-08 11:54:19 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (master):

commit c59bf1806b170540953fb3b45d565f93574240df
Author: Jan Schneider <jan@horde.org>
Date:   Mon Oct 8 13:30:24 2012 +0200

     BAD and NO responses don't contain the original command (Bug #11471).

     As per RFC 3501 7.1.2 and 7.1.3 (and Cyrus' actual behaviour), 
tagged responses
     only indicate that the error response links to a command. This command is
     identified by the tag, not by the response message.

  .../Imap_Client/lib/Horde/Imap/Client/Socket.php   |   16 ++--------------
  1 files changed, 2 insertions(+), 14 deletions(-)

http://git.horde.org/horde-git/-/commit/c59bf1806b170540953fb3b45d565f93574240df
2012-10-08 11:19:57 Jan Schneider Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ NO reponse not correctly parsed.
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ No
Reply to this comment
If getting a NO response like this:

C: 11 CREATE "INBOX.Test"
S: 11 NO Mailbox already exists

The NO handler in _getLine() strips of the first token "Mailbox" as 
the command into $cmd.

Saved Queries